LearningManager

dbn

## Class LearningManager

- java.lang.Object
- - dbn.LearningManager

-     public class LearningManager
      extends java.lang.Object

  A control class that manages the learning task. It sets up the `Learner` using the `OptionsHandler` of the user's options and trains the `DeepBeliefNetwork`.
  See Also:
    `OptionsHandler`, `DBLearner`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LearningManager()` The constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DBLearner` | `getDBLearner()` Gets the `DBLearner` (trained or not).
    `mulan.classifier.MultiLabelLearnerBase` | `getLearner()` Gets the `MultiLabelLearnerBase` (trained or not).
    `void` | `SetLearnerParameters(OptionsHandler argHandler)` Sets up the `Learner`.
    `long` | `startLearning()` This method starts the learning task.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LearningManager

          public LearningManager()

      The constructor. It initializes the `Learner`.

  - ### Method Detail

    - #### SetLearnerParameters

          public void SetLearnerParameters(OptionsHandler argHandler)
                                    throws mulan.data.InvalidDataFormatException,
                                           java.lang.Exception

      Sets up the `Learner`. If this method is not called, the learning task cannot start.
      Throws an exception when the training data are not in the appropriate format.
      Parameters:
        `argHandler` - the handler of the user's options.
      Throws:
        `mulan.data.InvalidDataFormatException`
        `java.lang.Exception`

    - #### startLearning

          public long startLearning()
                             throws java.lang.Exception

      This method starts the learning task.
      It throws an exception if the `Learner` has not been set.
      Returns:
        the duration of the learning task in milliseconds
      Throws:
        `java.lang.Exception`

    - #### getLearner

          public mulan.classifier.MultiLabelLearnerBase getLearner()

      Gets the `MultiLabelLearnerBase` (trained or not).
      Returns:
        the `MultiLabelLearnerBase`

    - #### getDBLearner

          public DBLearner getDBLearner()

      Gets the `DBLearner` (trained or not).
      Returns:
        the `DBLearner`